<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <style>
    .text-format { cursor: pointer; }
    .select-format { display: none; }
  </style>
  <script>
    var category_section = JSON.parse('<?php echo json_encode($category_section); ?>');
    var sections = JSON.parse('<?php echo json_encode($sections); ?>');

    function switchToSelectFormat(elf, category_id) {
      var block = elf.parentElement.nextElementSibling;
      elf.parentElement.remove();
      block.style.display = "block";

      var select = document.createElement('select');
      select.name = 'ps_sync_category_section[' + category_id + '][]';
      select.className = 'form-control';
      select.multiple = true;
      select.size = 8;

      sections.forEach(function(section) {
        var option = document.createElement('option');
        option.value = section.id;
        option.textContent = section.name;
        if (category_section[category_id] && category_section[category_id].indexOf(section.id.toString()) >= 0) {
          option.selected = true;
        }
        select.appendChild(option);
      });
      block.appendChild(select);
      launchCategoryEventListeners()
    }
	function launchCategoryEventListeners() {
		var selectCategoryNodes = document.querySelectorAll('[name^="ps_sync_category_section"]');
		var flagInput = 'full_sync_needed';
		selectCategoryNodes.forEach(function(el){
			el.addEventListener('change', function () {
				document.getElementById(flagInput).value = 'true';
            })
		})
    }
  </script>
  <div class="page-header">
    <div class="container-fluid">
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-puzzle-piece"></i> <?php echo $heading_state; ?></h3>
      </div>
      <div class="panel-body">
        <p>Всего копий: <?php echo count($sections_state)?> из 6.</p>
        <?php foreach ($sections_state as $state) : ?>
          <p><a href="<?php echo $state['restore_path'] ?>"><?php echo $state['name']?></a></p>
        <?php endforeach; ?>
      </div>
    </div>
    <?php if (isset($text_success)) { ?>
    <div class="alert alert-success"><i class="fa fa-check"></i> <?php echo $text_success; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <?php if (isset($error_warning)) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="pc-sync-panel-form">
		<!--флаг для запуска полной синхронизации-->
	    <input type="hidden" name="full_sync_needed" id="full_sync_needed" value="">

	    <div  class="panel panel-default">
		  <div class="panel-heading">
			<h3 class="panel-title"><i class="fa fa-puzzle-piece"></i> <?php echo $heading_rels; ?><h3>
		  </div>
		  <div class="panel-body">
			<div class="form-group">
			  <label class="form-check-label">
				<?php echo $button_import_title; ?>
			  </label>
			  <button style="margin-left: 20px;" type="submit" name="import" data-toggle="tooltip" title="<?php echo $button_import_title; ?>" class="btn btn-primary"><i class="fa fa-paw"></i> <?php echo $button_import_label; ?></button>
			</div>
			<div class="form-group">
			  <label class="form-check-label">
				<?php echo $text_import_relations; ?>
			  </label>
			  <input style="margin-left: 20px;" name="import_relations" type="checkbox" class="form-check-input">
			</div>
		  </div>
		</div>
		<div class="panel panel-default">
		  <div class="panel-heading">
			<h3 class="panel-title"><i class="fa fa-puzzle-piece"></i> <?php echo $heading_links; ?><h3>
		  </div>
		  <div class="panel-body">
			  <input type="hidden" name="token" value="<?php echo $token; ?>">
			  <div class="form-group">
				<table class="table table-striped">
				  <tr>
					<th scope="col"><?php echo $text_category; ?></th>
					<th scope="col"><?php echo $text_section; ?></th>
				  </tr>
				  <?php foreach ($categories as $category): ?>
				  <tr>
					<td><?php echo $category['name']; ?></td>
					<td>
					  <div class="text-format">
						<?php
						foreach ($sections as $section) {
						  if (isset($category_section[$category['category_id']]) && in_array($section->id, $category_section[$category['category_id']])) {
						?><?php echo $section->name; ?><input type="hidden" name="ps_sync_category_section[<?php echo $category['category_id']; ?>][]" value="<?php echo $section->id; ?>"><br><?php
						  }
						}
						?>
						<button type="button" class="btn" style="margin-top: 8px;" onclick="switchToSelectFormat(this, <?php echo $category['category_id']; ?>);"><i class="fa fa-plus"></i></button>
					  </div>
					  <div class="select-format">
					  </div>
					</td>
				  </tr>
				  <?php endforeach; ?>
				</table>
			  </div>
			  <button type="submit" <?=empty($sections) ? 'disabled':''?> name="save" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-paw"></i> <?php echo $button_save; ?></button>
			  <button type="submit" name="clear" data-toggle="tooltip" title="<?php echo $button_clear; ?>" class="btn btn-danger"><i class="fa fa-trash"></i> <?php echo $button_clear; ?></button>
			  <a href="<?php echo $back; ?>" data-toggle="tooltip" title="<?php echo $button_back; ?>" class="btn btn-default"><i class="fa fa-reply"></i> <?php echo $button_back; ?></a>
		  </div>
		</div>
  	</form>
  </div>
</div>
<?php echo $footer; ?>
